Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174783 - Review Request: gruler
Summary: Review Request: gruler
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2005-12-02 04:25 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-24 01:51:55 UTC


Attachments (Terms of Use)
new revision, builds in mock (deleted)
2005-12-06 06:19 UTC, Matthias Clasen
no flags Details

Description Matthias Clasen 2005-12-02 04:25:50 UTC
Spec Name or Url: http://people.redhat.com/mclasen/gruler/gruler.spec
SRPM Name or Url: http://people.redhat.com/mclasen/gruler/gruler-0.6-1.src.rpm
Description: gruler is a customizable screen ruler.

Comment 1 Adrian Reber 2005-12-02 08:27:59 UTC
Trying to build in mock gives following error (FC4 and rawhide):

creating libtool
checking for pkg-config... /usr/bin/pkg-config
checking for libgnomeui-2.0 gtk+-2.0 libglade-2.0... error: Bad exit status from
/var/tmp/rpm-tmp.69656 (%build)


Comment 2 Matthias Clasen 2005-12-06 06:19:10 UTC
Created attachment 121888 [details]
new revision, builds in mock

Comment 3 Adrian Reber 2005-12-06 19:52:50 UTC
Could you please offer a link to the new SRPM, update the changelog and bump the
version. Thanks.

Comment 5 Ralf Corsepius 2005-12-11 07:58:57 UTC
NEEDSWORK:

* Blocker:
Package doesn't honor RPM_OPT_FLAGS.
(Origin is a but in this package's configure script. It overrides CFLAGS)

* Cosmetics:
rpmlint gruler-0.6-2.i386.rpm
E: gruler zero-length /usr/share/doc/gruler-0.6/NEWS
E: gruler zero-length /usr/share/doc/gruler-0.6/AUTHORS

Comment 7 Ralf Corsepius 2005-12-12 05:36:33 UTC
Something went wrong with your *-3.src.rpm
# rpm -qlvp gruler-0.6-3.src.rpm
-rw-rw-r--    1 mclasen mclasen             0 Dec 12 06:05 gruler-0.6-cflags.patch

Note the size of the patch (0)

Comment 8 Jason Tibbitts 2007-05-23 15:25:09 UTC
Wow, this review has gone 18 months with no comment.  Is anything happening
here?  Are all parties still interested in this review?  I don't even think the
upstream project is still called "gruler" these days.

Comment 9 Matthias Clasen 2007-05-23 18:07:05 UTC
Yeah, sorry. I lost the energy to complete this....

Comment 10 Jason Tibbitts 2007-05-24 01:51:55 UTC
I guess I'll just close this ticket.  But it's probably a useful utility, so
please do consider submitting ScreenRuler in the future.  Perhaps it will have
better luck than this package did.


Note You need to log in before you can comment on or make changes to this bug.